import { BaseQuery } from '@kevisual/query';

export const vipLevel = [
  {
    label: '免费会员',
    value: 'free',
  },
  {
    label: '普通会员',
    value: 'love',
  },
  {
    label: 'VIP会员',
    value: 'vip',
  },
];
export const VipCategory = [
  {
    label: 'Deploy Center',
    value: 'center',
  },
  {
    label: 'AI Chat',
    value: 'chat',
  },
];
export class QueryApi extends BaseQuery {
  constructor(options: { query: any }) {
    super(options);
  }
  async getList(params?: any, dataOpts?: any) {
    return this.query.post(
      {
        path: 'vip',
        key: 'list',
        ...params,
      },
      dataOpts,
    );
  }
  async getDetail(id?: string, dataOpts?: any) {
    return this.query.post(
      {
        path: 'vip',
        key: 'get',
        data: { id },
      },
      dataOpts,
    );
  }
  async update(data?: any, dataOpts?: any) {
    return this.query.post(
      {
        path: 'vip',
        key: 'update',
        data,
      },
      dataOpts,
    );
  }
  async delete(id?: string, dataOpts?: any) {
    return this.query.post(
      {
        path: 'vip',
        key: 'delete',
        data: { id },
      },
      dataOpts,
    );
  }
  /**
   * 获取我的VIP列表
   * @param dataOpts 数据选项
   * @returns
   */
  async getMeVipList(dataOpts?: any) {
    return this.query.post(
      {
        path: 'vip',
        key: 'me-vip-list',
      },
      dataOpts,
    );
  }
  /**
   * 获取我的VIP信息
   * @param category 分类
   * @param dataOpts 数据选项
   * @returns
   */
  async getMeVipInfo(category?: string, dataOpts?: any) {
    return this.query.post(
      {
        path: 'vip',
        key: 'me',
        category: category || 'center',
      },
      dataOpts,
    );
  }
}
